{
	function QaD(thisObj)
	{

		var ls_Data = new Object();	
		ls_Data.scriptName = "Quote of the day";
		ls_Data.scriptTitle = ls_Data.scriptName + " v1.0";
		ls_Data.strButton = "Quote of the day";
		ls_Data.strHelp = "?";
		ls_Data.strMinAE80 = "This script requires Adobe After Effects CS3 or later.";
		ls_Data.strHelpText = "Relu Pene ©2009 \n\n" +
			"The script will randomly pick one of the text file from QaDData directory and display as alert.\n\n" +
			"Note: This version of the script requires After Effects CS3 or later. It can be used as a dockable panel by placing the script in a ScriptUI Panels subfolder of the Scripts folder, and then choosing this script from the Window menu.\n";

		var separator = "\n" ; 
		var safeToRun = true;
		
		var QaDMain = Folder.current;
		var QaDDirectory =new Folder(QaDMain.absoluteURI + "/QaDData");		

		function QaD_buildUI(thisObj)
		{
			var pal = (thisObj instanceof Panel) ? thisObj : new Window("palette", ls_Data.scriptName, undefined, {resizeable:true});
			
			if (pal != null)
			{
				var res =
				"group { \
					orientation:'column', alignment:['left','top'], \
					main: Group { \
						alignment:['fill','top'], \
						QaDBtn: Button { text:'" + ls_Data.strButton +"', maximumSize:[100,20], alignment:['right','center'] }, \
						help: Button { text:'" + ls_Data.strHelp +"', maximumSize:[30,20], alignment:['left','center'] }, \
					}, \
				} ";

				pal.grp = pal.add(res);
				pal.layout.layout(true);
				pal.grp.minimumSize = pal.grp.size;
				pal.layout.resize();
				pal.onResizing = pal.onResize = function () {this.layout.resize();}
				
				pal.grp.main.help.onClick = function () {alert(ls_Data.scriptTitle + "\n" + ls_Data.strHelpText, ls_Data.scriptName);}
				pal.grp.main.QaDBtn.onClick = DoQaD;
			} 
			return pal;
		}

		function DoQaD(){
		
			var QaDFiles = QaDDirectory.getFiles();
			var randQaD = Math.round(Math.random() * QaDFiles.length);
			if (randQaD == 0){
				randQaD=1;
				}
			var QaDFile = new File(QaDDirectory.absoluteURI + "/" + randQaD + ".txt");
			var fileOK = QaDFile.open("r","TEXT","????");
			if (!fileOK){
				safeToRun = false;
				}
			if (safeToRun) {
				var QaDText = QaDFile.read();
				alert(QaDText);
				}
			}

		if (parseFloat(app.version) < 8.0)
			alert(ls_Data.strMinAE80, ls_Data.scriptName);
		else
		{
			var myPal = QaD_buildUI(thisObj);
			if (myPal != null)
			{
				if (myPal instanceof Window)
				{
					// Show the palette
					myPal.center();
					myPal.show();
				}
				else
					{myPal.layout.layout(true);}
			}
		}
	}
	QaD(this);
}